import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:webview_flutter/webview_flutter.dart';

import '../../../Helper/Constants/Colorconstants.dart';


class TermsAndConditionsView extends StatefulWidget {
  const TermsAndConditionsView({super.key});

  @override
  TermsAndConditionsViewState createState() => TermsAndConditionsViewState();
}

class TermsAndConditionsViewState extends State<TermsAndConditionsView> {
  final Color primaryColor = const Color.fromRGBO(0, 157, 204, 1);
  double webProgress = 0;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title:  Text('Terms and Conditions',style: TextStyle(color: ColorConstants.secondaryColor,fontFamily: 'Lato')),
        leading: InkWell(child: const FaIcon(FontAwesomeIcons.angleLeft,color: Colors.white,size: 30),onTap: ()=>Navigator.pop(context)),
        backgroundColor: ColorConstants.primaryColor,
      ),

      body: Column(
        children: [
          webProgress < 1
              ? SizedBox(
            height: 5,
            child: LinearProgressIndicator(
              value: webProgress,
              color: ColorConstants.primaryColor,
              backgroundColor: ColorConstants.secondaryColor,
            ),
          )
              : const SizedBox(),
          // Expanded(
          //   child: WebView(
          //     backgroundColor: ColorConstants.secondaryColor,
          //     initialUrl: 'https://nearle.in/terms.html',
          //     javascriptMode: JavascriptMode.unrestricted,
          //     onProgress: (progress) {
          //       setState(() {
          //         webProgress = progress / 100;
          //       });
          //     },
          //   ),
          // ),
        ],
      ),

    );
  }



}
